import { Component, OnInit } from '@angular/core';
import {WorkService} from '../../work.service';

@Component({
  selector: 'smart-look-plan',
  templateUrl: './look-plan.component.html',
  styles: []
})
export class LookPlanComponent implements OnInit {

  isVisible = false;
  title;
  plan;

  constructor(private workSer:WorkService) { }

  ngOnInit() {
  }

  showModal(id){
    this.workSer.findPlan(id).subscribe(
        (res)=>{
          if(res.errCode == 10000){
            this.plan = res.data;
          }
        }
    )
  }

}
